/****************************************************************/
/*                Add a user to the Weasel database             */
/*                                                              */
/*      Author:       Peter Moylan (peter@ee.newcastle.edu.au)  */
/*      Started:      26 October 2000                           */
/*      Last revised: 26 October 2000                           */
/*                                                              */
/*  Usage:                                                      */
/*         adduser username password realname                   */
/*                                                              */
/*       (The real name is optional, and may contain spaces)    */
/*                                                              */
/*  Installation:                                               */
/*         Put this file in the directory containing WEASEL.INI */
/*                                                              */
/****************************************************************/

CALL RxFuncAdd SysLoadFuncs, rexxutil, sysloadfuncs
CALL SysLoadFuncs

PARSE ARG username password realname
IF username = '' THEN
    DO
        SAY "Usage: adduser username password realname"
        EXIT 0
    END

SAY 'username is 'username
SAY 'password is 'password
SAY 'realname is 'realname

/* Switch our working directory to the program directory */

PARSE SOURCE rubbish rubbish SrcDir
j = LASTPOS('\', SrcDir)
IF j > 0 THEN SrcDir = LEFT(SrcDir, j-1)
WrkDir = DIRECTORY()
CALL DIRECTORY SrcDir

CALL SysIni 'WEASEL.INI', username, 'Password', password
CALL SysIni 'WEASEL.INI', username, 'RealName', realname

/* Have made the appropriate entries in the INI file */
/* Now give the new user a mail directory.           */

Nul = '00'X
MailDir = SysIni('WEASEL.INI', '$SYS', 'MailRoot')
j = POS(Nul,MailDir)
IF j > 0 THEN MailDir = LEFT(MailDir, j-1)
MailDir = STRIP(MailDir)
MailDir = TRANSLATE(MailDir, '\', '/')||username
SAY 'MailDir is 'MailDir
IF SysMkDir(MailDir) \= 0 THEN
    DO
        SAY "Could not create user's mail directory"
        SAY "     "MailDir
        SAY "You should do this manually"
    END

SAY "User "username" added"
CALL DIRECTORY WrkDir
EXIT 0

