/****************************************************************/
/*            Remove a user from the Weasel database            */
/*                                                              */
/*      Author:       Peter Moylan (peter@ee.newcastle.edu.au)  */
/*      Started:      8 June 2000                               */
/*      Last revised: 8 June 2000                               */
/*                                                              */
/*  Usage:                                                      */
/*         remove username                                      */
/*                                                              */
/*  Installation:                                               */
/*         Put this file in the directory containing WEASEL.INI */
/*                                                              */
/****************************************************************/

CALL RxFuncAdd SysLoadFuncs, rexxutil, sysloadfuncs
CALL SysLoadFuncs

PARSE ARG username
IF username = '' THEN
    DO
        SAY "Usage: remove username"
        EXIT 0
    END

/* Switch our working directory to the program directory */

PARSE SOURCE rubbish rubbish SrcDir
j = LASTPOS('\', SrcDir)
IF j > 0 THEN SrcDir = LEFT(SrcDir, j-1)
WrkDir = DIRECTORY()
CALL DIRECTORY SrcDir

IF SysIni('WEASEL.INI', username, 'DELETE:') \= '' THEN
    DO
        SAY "No such user "username
        CALL DIRECTORY WrkDir
        EXIT 1
    END

/* Have removed the user from the INI file, now try  */
/* to remove the user's mail directory.              */

Nul = '00'X
MailDir = SysIni('WEASEL.INI', '$SYS', 'MailRoot')
j = POS(Nul,MailDir)
IF j > 0 THEN MailDir = LEFT(MailDir, j-1)
MailDir = STRIP(MailDir)
MailDir = TRANSLATE(MailDir, '\', '/')||username
IF SysRmDir(MailDir) \= 0 THEN
    DO
        SAY "Could not remove user's mail directory"
        SAY "     "MailDir
        SAY "You should do this manually after checking for unsent mail"
    END

SAY "User "username" removed"
CALL DIRECTORY WrkDir
EXIT 0

